# Set contact email address(es)

Use this function to set an account's contact email address(es).

To unset all contact email addresses, call unset_email_addresses.

Endpoint: GET /ContactInformation/set_email_addresses
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `address` (array, required)
    The account’s new contact email addresses.
    Example: ["foo@example.com","bar@example.com"]

  - `old_address` (array, required)
    The account’s existing contact email addresses.

If this list does not match the account’s current current email address(es),
then the request will fail. This control is here to prevent
race conditions.
    Example: ["old1@example.com"]

  - `password` (string, required)
    The account’s password.
    Example: "q1df%D9<z0ShqdxRP%^"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "set_email_addresses"

  - `module` (string)
    The name of the module called.
    Example: "ContactInformation"

  - `result` (object)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


